# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.RemoteProjectiles.OICW
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.RemoteProjectiles.OICW
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.RemoteProjectiles.OICW

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
-  object RemoteProjectiles
  Definition Classes
    objectcreate
- Data
- HunterSeeker
- Meteor
- OICW
- OICWLittleBuddy
- Sparrow
- Starfire
- Striker
- Wasp

o

net.psforever.packet.game.objectcreate.RemoteProjectiles

# OICW

###

#### case object OICW extends Data with Product with Serializable

Source
  RemoteProjectileData.scala

Linear Supertypes
Serializable, Product, Equals, Data, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OICW
2. Serializable
3. Product
4. Equals
5. Data
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val a: Int
   Definition Classes
     Data
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val b: Int
   Definition Classes
     Data
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementName(n: Int): String
    Definition Classes
      Product
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Data

### Inherited from AnyRef

### Inherited from Any

### Ungrouped